Package com.sun.jna.platform.win32

## Interface WinNT.POWER_ACTION

- Enclosing interface:
    WinNT

      public static interface WinNT.POWER_ACTION

  Defines values that are used to specify system power action types.

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `static int` | `PowerActionDisplayOff` |
    `static int` | `PowerActionHibernate` |
    `static int` | `PowerActionNone` |
    `static int` | `PowerActionReserved` |
    `static int` | `PowerActionShutdown` |
    `static int` | `PowerActionShutdownOff` |
    `static int` | `PowerActionShutdownReset` |
    `static int` | `PowerActionSleep` |
    `static int` | `PowerActionWarmEject` |

- - ### Field Detail

    - #### PowerActionNone

          static final int PowerActionNone

      See Also:
        Constant Field Values

    - #### PowerActionReserved

          static final int PowerActionReserved

      See Also:
        Constant Field Values

    - #### PowerActionSleep

          static final int PowerActionSleep

      See Also:
        Constant Field Values

    - #### PowerActionHibernate

          static final int PowerActionHibernate

      See Also:
        Constant Field Values

    - #### PowerActionShutdown

          static final int PowerActionShutdown

      See Also:
        Constant Field Values

    - #### PowerActionShutdownReset

          static final int PowerActionShutdownReset

      See Also:
        Constant Field Values

    - #### PowerActionShutdownOff

          static final int PowerActionShutdownOff

      See Also:
        Constant Field Values

    - #### PowerActionWarmEject

          static final int PowerActionWarmEject

      See Also:
        Constant Field Values

    - #### PowerActionDisplayOff

          static final int PowerActionDisplayOff

      See Also:
        Constant Field Values